[vdr] vdr-1.7.7 crashes during starting wiith rotor plugin

Arthur Konovalov artlov at gmail.com
Wed May 27 16:32:49 CEST 2009


martinez at embl.de wrote:
> Lacking that, you can visit my howto
> http://ubuntuforums.org/showthread.php?t=1126258
> 
> and download the patched rotor plugin from there.
> 
> Do not patch it anymore, just enable ROTOR = 1 in your Make.config (with the
> extensions patch) and it will compile ok and run on startup.
> 

Compiled from scratch. But again, I have:

root at akovdr2# ./vdr -l 3 -w 60 -c /usr/local/etc/vdr -E /usr/local/etc/vdr -L 
/usr/local/vdr/PLUGINS/lib -P rotor -P 'xine -r -q'
*** glibc detected *** ./vdr: munmap_chunk(): invalid pointer: 0x082babf4 ***
======= Backtrace: =========
/lib/libc.so.6(cfree+0x1bc)[0xb7ca513c]
/usr/local/vdr/PLUGINS/lib/libvdr-rotor.so.1.7.7(_ZN12cPluginRotor5StartEv+0x275)[0xb7b1b8c5]
./vdr(_ZN14cPluginManager12StartPluginsEv+0x3f)[0x80e564f]
./vdr(main+0x15da)[0x811692a]
/lib/libc.so.6(__libc_start_main+0xe0)[0xb7c4c390]
./vdr[0x808bee1]

Is there important version of kernel, dvb driver or gcc?
I have kernel 2.6.27.7, dvd driver from endriss repository, gcc-4.2.4.



More information about the vdr mailing list